#
# spec file for package python-yappi
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-yappi
Version:        1.2.5
Release:        bp154.1.23
Summary:        Yet Another Python Profiler
License:        MIT
URL:            https://github.com/sumerc/yappi
Source:         https://files.pythonhosted.org/packages/source/y/yappi/yappi-%{version}.tar.gz
BuildRequires:  %{python_module contextvars}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pytest-asyncio}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-setuptools
Requires(post): update-alternatives
Requires(postun): update-alternatives
%python_subpackages

%description
Yet Another Python Profiler

%prep
%setup -q -n yappi-%{version}

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/yappi
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
export PYTHONPATH="tests/"
# Skip two flaky tests
skip_tests="not test_basic_old_style and not test_basic"
%if %{python3_version_nodots} < 37
    # this test relies on asyncio.run method
    skip_tests="$skip_tests and not test_asyncio_context_vars"
%endif
# yappi binary is not available (only yappi-%python_version)
skip_tests="$skip_tests and not test_run_as_script"
%pytest_arch -k "$skip_tests"

%post
%python_install_alternative yappi

%postun
%python_uninstall_alternative yappi

%files %{python_files}
%doc README.md
%license LICENSE
%python_alternative %{_bindir}/yappi
%{python_sitearch}/*

%changelog
* Sun Aug 16 2020 John Vandenberg <jayvdb@gmail.com>
- Remove unnecessary build dependency nose
* Tue Jun  2 2020 Dirk Mueller <dmueller@suse.com>
- update to 1.2.5:
  * Fix tag/ctx_id filtering on get_func_stats
  * Add filter_callback to get_func_stats() for filtering function/module descriptors
  * FIX: issues related to invalid conversion from long->ptr in Win32
  * Optimize tstate->dict retrieval
  * Various other fixes
* Fri May 15 2020 Petr Gajdos <pgajdos@suse.com>
- %%python3_only -> %%python_alternative
* Tue Mar 17 2020 Hans-Peter Jansen <hpj@urpla.net>
- add more testing requirements
- disable a test, that relies on asyncio.run for py < 3.7
* Sun Mar 15 2020 Tomáš Chvátal <tchvatal@suse.com>
- Skip two flaky tests
* Tue Mar 10 2020 pgajdos@suse.com
- version update to 1.2.3
  * no upstream changelog found
* Sat Mar  2 2019 Thomas Bechtold <tbechtold@suse.com>
- Initial packaging (version 1.0)
